/*
	Name : Click Warp version 0.02
	Details : クリックで開く領域を設けるJavaScriptです。
	Author: KEI SAKAKI.

	Copyright(C) 2013 by KEI SAKAKI.
*/

/* 外のboxまで親をたどる */

function clickwrap_searchBox(element) {
	while(element && element.className != "clickwrap_box") {
		element = element.parentNode;
	}
	if(!element) {
		alert("ClickWrap : clickwrap_box not found.");
		return false; // 見つからなかったら終わり。
	}
	return element;
}

/* クリックで表示/非表示を反転する */

function clickwrap_main(event) {
	var element = clickwrap_searchBox(this);
	if(!element) return;

	var unclick = clickwrap_search(element, "clickwrap_unclick");
	var unclick_hide = clickwrap_search(element, "clickwrap_unclick_hide");
	var clicked = clickwrap_search(element, "clickwrap_clicked");
	var clicked_hide = clickwrap_search(element, "clickwrap_clicked_hide");
	var details = clickwrap_search(element, "clickwrap_details");
	var details_hide = clickwrap_search(element, "clickwrap_details_hide");

	if(unclick) unclick.className = "clickwrap_unclick_hide";
	if(unclick_hide) unclick_hide.className = "clickwrap_unclick";
	if(clicked) clicked.className = "clickwrap_clicked_hide";
	if(clicked_hide) clicked_hide.className = "clickwrap_clicked";
	if(details) details.className = "clickwrap_details_hide";
	if(details_hide) details_hide.className = "clickwrap_details";

	clickwrap_eventSetup();
}

/* 指定要素の子要素から指定のclass名の要素を探す */

function clickwrap_search(element, className) {
	var targets = element.getElementsByClassName(className);
	return targets ? targets[0] : false;
}

/* イベントのセットアップ */

function clickwrap_eventSetup() {
	var i;
	var elements;

	elements = document.getElementsByClassName("clickwrap_unclick");
	for (i = 0; i < elements.length; i++) {
		if(!clickwrap_searchBox(elements[i])) return;
		elements[i].onclick = clickwrap_main;
	}

	elements = document.getElementsByClassName("clickwrap_clicked");
	for (i = 0; i < elements.length; i++) {
		if(!clickwrap_searchBox(elements[i])) return;
		elements[i].onclick = clickwrap_main;
	}
}

/* ロード後の処理 */

function clickwrap_construct() {
	clickwrap_eventSetup();
}

/* アンロード処理 */

function clickwrap_destruct() {
}

/* 初期化コード */

if(window.addEventListener) {
	window.addEventListener("load", clickwrap_construct, false);
} else if(window.attachEvent) {
	window.attachEvent("onload", clickwrap_construct);
	window.attachEvent("onunload", clickwrap_destruct);
} else {
	window.onload = clickwrap_construct;
}
