<?php
/*
Plugin Name: clickwrap
Plugin URI: http://godwood.allnet.ne.jp/vioret/wpp-clickwrap/
Description: 投稿にクリックで開いたり閉じたりするボックスを提供する。
Version: 0.02
Author: KEI SAKAKI.
Author URI: http://godwood.allnet.ne.jp/vioret/
License: GPL2
*/

define('CLICKWRAP_PLUGIN_URL', plugin_dir_url( __FILE__ ));

/*
 * ・[clickwrap open="" close=""]～[/clickwrap]を扱うShortcode APIを実装
 */

function clickwrap_shortcode($atts, $content = null) {
	extract(
		shortcode_atts(
			array(
				'open' => 'click here to open',
				'close' => 'click here to close',
			),
			$atts
		)
	);

	$open = wp_specialchars($open);
	$close = wp_specialchars($close);

	$result = <<< EOT
	<!-- clickwrap -->
	<div class="clickwrap_box">
		<div class="clickwrap_unclick"><input type="button" value="{$open}"></div>
		<div class="clickwrap_clicked_hide"><input type="button" value="{$close}"></div>
		<div class="clickwrap_details_hide">{$content}</div>
	</div>
	<!-- /clickwrap -->
EOT;

	return $result;
}

/*
 * ・Shortcode APIに登録
 */

add_shortcode('clickwrap', 'clickwrap_shortcode');

/*
 * ・cssをheadタグ内に入れるフィルターの追加
 */

function add_clickwrap_style() {
	wp_enqueue_style('clickwrap_css', CLICKWRAP_PLUGIN_URL . 'clickwrap.css');
}

add_action('wp_print_styles', 'add_clickwrap_style');	// css

/*
 * ・jsをheadタグ内に入れるフィルターの追加
 */

function add_clickwrap_script() {
	wp_enqueue_script('clickwrap_js', CLICKWRAP_PLUGIN_URL . 'clickwrap.js');
}

add_action('wp_print_scripts', 'add_clickwrap_script');	// js

?>
